package com.bonus.canteen.core.supply.purchase.domain.vo;

import com.bonus.canteen.core.utils.SysUtil;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

@ApiModel
public class DrpSmTargetPricePageVO {
   @ApiModelProperty("货品招标明细id")
   private Long materialInquiryDetailId;
   @ApiModelProperty("货品id")
   private Long materialId;
   @ApiModelProperty("货品编码")
   private String materialCode;
   @ApiModelProperty("货品名称")
   private String materialName;
   @ApiModelProperty("货品类别id")
   private Long categoryId;
   @ApiModelProperty("货品类别")
   private String categoryName;
   @ApiModelProperty("计量单位id")
   private Long unitId;
   @ApiModelProperty("计量单位")
   private String unitName;
   @ApiModelProperty("报价单价")
   private Integer quotePrice;
   @ApiModelProperty("意向中标价")
   private Integer targetPrice;
   @ApiModelProperty("图片")
   private String imageUrl;

   public String getImageUrl() {
      return SysUtil.getCutFileUrl(this.imageUrl);
   }

   public Long getMaterialInquiryDetailId() {
      return this.materialInquiryDetailId;
   }

   public Long getMaterialId() {
      return this.materialId;
   }

   public String getMaterialCode() {
      return this.materialCode;
   }

   public String getMaterialName() {
      return this.materialName;
   }

   public Long getCategoryId() {
      return this.categoryId;
   }

   public String getCategoryName() {
      return this.categoryName;
   }

   public Long getUnitId() {
      return this.unitId;
   }

   public String getUnitName() {
      return this.unitName;
   }

   public Integer getQuotePrice() {
      return this.quotePrice;
   }

   public Integer getTargetPrice() {
      return this.targetPrice;
   }

   public DrpSmTargetPricePageVO setMaterialInquiryDetailId(final Long materialInquiryDetailId) {
      this.materialInquiryDetailId = materialInquiryDetailId;
      return this;
   }

   public DrpSmTargetPricePageVO setMaterialId(final Long materialId) {
      this.materialId = materialId;
      return this;
   }

   public DrpSmTargetPricePageVO setMaterialCode(final String materialCode) {
      this.materialCode = materialCode;
      return this;
   }

   public DrpSmTargetPricePageVO setMaterialName(final String materialName) {
      this.materialName = materialName;
      return this;
   }

   public DrpSmTargetPricePageVO setCategoryId(final Long categoryId) {
      this.categoryId = categoryId;
      return this;
   }

   public DrpSmTargetPricePageVO setCategoryName(final String categoryName) {
      this.categoryName = categoryName;
      return this;
   }

   public DrpSmTargetPricePageVO setUnitId(final Long unitId) {
      this.unitId = unitId;
      return this;
   }

   public DrpSmTargetPricePageVO setUnitName(final String unitName) {
      this.unitName = unitName;
      return this;
   }

   public DrpSmTargetPricePageVO setQuotePrice(final Integer quotePrice) {
      this.quotePrice = quotePrice;
      return this;
   }

   public DrpSmTargetPricePageVO setTargetPrice(final Integer targetPrice) {
      this.targetPrice = targetPrice;
      return this;
   }

   public DrpSmTargetPricePageVO setImageUrl(final String imageUrl) {
      this.imageUrl = imageUrl;
      return this;
   }
}
